file=dir('*.mat');
for k=1:length(file)
    load(file(k).name(1:end-4))
    T=genvarname(file(k).name(1:end-4));
    eval(['V=' T '.V;']);
    eval(['F=' T '.F;']);
    eval(['C=' T '.C;']);
    [HL LM]=auto_LM_face(V,F,C,Meanshape);
    eval([T '.HL=HL;']);
    eval([T '.LM=LM;']);
    filename=[file(k).name(1:end-3),'mat'];
    save(filename,file(k).name(1:end-4))
    clear(file(k).name(1:end-4))
    clear T
end
%compute the landmarks table
for k=1:length(file)
    load(file(k).name(1:end-4))
    T=genvarname(file(k).name(1:end-4));
    eval(['LM=' T '.LM;']);
    Table(k,:)=reshape(LM',size(LM,1)*size(LM,2),1)';
    clear(file(k).name(1:end-4))
    clear T
end

NA=[];
for k=1:length(file)  
    NA=[NA;file(k).name(1:end-4)];
end

fid=fopen('Landmarks.xls','wt');
for k=1:length(file)
fprintf(fid,'%s,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f\n',NA(k,:),Table(k,:));
end
